API Reference
Identity Platform
Overview

Identity Platform API

Issue tokens and manage users and organizations — other APIs use a token from here.

Base URL: https://pip.pcampus.co

How to connect

  1. Create an Application in Console
  2. Generate an M2M API key (pip_…)
  3. Send Authorization: Bearer pip_YOUR_API_KEY

Example — verify the token

curl https://pip.pcampus.co/identity/me \
  -H "Authorization: Bearer pip_YOUR_API_KEY"

Sample response

{
  "id": "usr_xxxxxxxxxxxx",
  "email": "you@example.com",
  "organizationId": "org_xxxxxxxxxxxx"
}

More examples

PageWhen to use
UsersUser profiles
OrganizationsOrgs and members
AccessPermissions
ApplicationsApps and API keys